CreateFirewallRuleTemplate
CreateFirewallRuleTemplate
POST
/zstack/v1/vpcfirewalls/rules/templateOperation ID
CreateFirewallRuleTemplateSince
4.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
actionStringRequiredThe action.
protocolStringOptional.
nameStringRequiredThe name of the template.
destPortStringOptional.
sourcePortStringOptional.
sourceIpStringOptional.
destIpStringOptional.
allowStatesStringOptional.
tcpFlagStringOptional.
icmpTypeNameStringOptional.
ruleNumberIntegerRequiredThe number of rule.
enableLogbooleanOptional.
stateStringOptional.
descriptionStringOptional. The detailed description of the template.
resourceUuidStringOptional. The UUID of the template.
tagUuidsListOptional. The user tags.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
